<table class="calendar calendar-grid table table-bordered" style="vertical-align: top;">
    <thead>
        <tr>
            <th class="time" style="vertical-align: top;">&nbsp;</th>
            {% for room in timetable.rooms %}{% if forloop.counter0 < 7 %}<th>{{ room }}</th>{% endif %}{% endfor %}
        </tr>
    </thead>
    <tbody>
        {% for time, row in timetable.rows.items %}
            <tr class="schedule_grid_{{time.1|stringformat:"02i"}}"{% if row.hidden %} style="display:hidden;"{% endif %} style="vertical-align: top;">
              {% if not row.hidden %}
                {% if time.1|divisibleby:"15" %}<td class="time" rowspan="3">{{ time.0 }}:{{time.1|stringformat:"02i"}}</td>{% endif %}
                {% if row.slot.type == "end" %}
                    <td colspan="{{ timetable.rooms|length }}" style="vertical-align: top;"><em>Feierabend!</em></td>
                {% else %}
                {% for cell in row.list %}
		    {% if forloop.counter0 < 7 %}
                    {% if cell != "ignore" %}
                    <td class="slot" colspan="1" rowspan="{{ cell.duration }}"{% if cell.bgcolor %} style="background-color:#{{ cell.bgcolor }}; vertical-align: top;"{% endif %}>
                            {% if not cell %}
                                <span></span>
                            {% elif cell.meal %}
                                <span class="grid-meal">{{ cell.meal }}</span>
                            {% else %}
                                <span class="grid-title">
                                    {{ cell.talk.title }}
                                </span><br>
                                <span class="grid-speaker">
                                    <small>{{ cell.speakers }}</small>
                                </span>
                            {% endif %}
                    </td>
                    {% endif %}
		    {% endif %}
                {% endfor %}
                {% endif %}
              {% endif %}
            </tr>
        {% endfor %}
    </tbody>
</table>
